Bug 1283907 - Review Request: python-humblewx - Library that simplifies creating user interfaces with wxPython
Review Request: python-humblewx - Library that simplifies creating user inter...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
: 1284159 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-20 04:04 EST by Rickard Lindberg
Modified: 2016-12-20 12:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:19:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Rickard Lindberg 2015-11-20 04:04:39 EST
Spec URL: http://rickardlindberg.users.sourceforge.net/python2-humblewx.spec
SRPM URL: http://rickardlindberg.users.sourceforge.net/python2-humblewx-0.2.0-1.fc22.src.rpm
Description: Library that simplifies creating user interfaces with wxPython.
Fedora Account System Username: rickardlindberg
Comment 1 Gwyn Ciesla 2015-11-20 12:03:23 EST
Well, it builds locally, imports into python when installed, and builds in mock.  The license tag should be GPLv3+.  Also, it would be really, really good if you were to rename it python-humblewx and have python2- and python3- packages.  Python 3 support is gaining importance, and adding it here would be a good learning experience. ;)
Comment 2 Rickard Lindberg 2015-11-21 03:34:17 EST
I submitted a new review for the renamed package:

https://bugzilla.redhat.com/show_bug.cgi?id=1284159
Comment 3 Gwyn Ciesla 2015-11-24 09:39:57 EST
From 1284159:

Spec URL: http://rickardlindberg.users.sourceforge.net/python-humblewx.spec
SRPM URL: http://rickardlindberg.users.sourceforge.net/python-humblewx-0.2.1-1.fc22.src.rpm
Description: Library that simplifies creating user interfaces with wxPython.
Fedora Account System Username: rickardlindberg

- License changed to GPLv3+
- New upstream that contains AUTHORS and COPYING files

No Python 3 support was added because, as far as I know, the dependency wxPython does not yet work on Python 3.
Comment 4 Gwyn Ciesla 2015-11-24 09:40:05 EST
*** Bug 1284159 has been marked as a duplicate of this bug. ***
Comment 5 Gwyn Ciesla 2015-11-24 10:14:26 EST
Ok, formal review:

- rpmlint checks return:

python2-humblewx.noarch: W: spelling-error Summary(en_US) wxPython -> python, Python
The value of this tag appears to be misspelled. Please double-check.

python2-humblewx.noarch: W: spelling-error %description -l en_US wxPython -> python, Python
The value of this tag appears to be misspelled. Please double-check.

Just needs capitalization.

- package meets naming guidelines
- package meets packaging guidelines
- license ( GPLv3+ ) OK, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

I don't see an easy way to locate source tarballs but maybe that's the lack of coffee.

I'm actually looking into adding Python 3 support to wxPython.  If I can I'll have you add it here, stay tuned.
Comment 6 Rickard Lindberg 2015-11-24 10:29:05 EST
I'm not sure how to fix the capitalization. The correct capitalization appears to be wxPython (see http://wxpython.org/).

rpmlint seems to accept WxPython, but that doesn't feel right.

Is there a standard way to fix this capitalization?
Comment 7 Gwyn Ciesla 2015-11-24 10:32:24 EST
Oh, duh.  E_COFFEE.  That is indeed correct, ignore that warning. :)
Comment 8 Rickard Lindberg 2015-11-24 10:41:19 EST
You can download the latest tarball here: https://pypi.python.org/pypi/humblewx

In the spec file, there is only a link to the actual tarball. Not to the website where you can click to download.

Should I add more links somewhere in the spec file?
Comment 9 Gwyn Ciesla 2015-11-24 10:43:56 EST
No, just maybe either a link from the github page or set the pypi page as the homepage in the spec since that's where the tarballs live.  Up to you.
Comment 10 Rickard Lindberg 2015-11-24 10:59:27 EST
(In reply to Jon Ciesla from comment #9)
> No, just maybe either a link from the github page or set the pypi page as
> the homepage in the spec since that's where the tarballs live.  Up to you.

Spec file updated to have URL point to PyPi.

Spec URL: http://rickardlindberg.users.sourceforge.net/python-humblewx.spec
Comment 11 Gwyn Ciesla 2015-11-24 11:42:40 EST
Thanks.

Ok, so I give up, wxPython does *not* like Python 3 at this point.  At all.

So, first of all, APPROVED.

Next, set up a FAS account and let me know the name, I couldn't find the one above.
Comment 12 Rickard Lindberg 2015-11-24 11:56:07 EST
(In reply to Jon Ciesla from comment #11)
> Thanks.
> 
> Ok, so I give up, wxPython does *not* like Python 3 at this point.  At all.

I believe the Phoenix project is about porting wxPython to Python 3.

http://wxpython.org/Phoenix/docs/html/main.html

I don't think there is an official release yet though.

As far as I know, the "classic" wxPython probably will never work with Python 3.
Comment 13 Rickard Lindberg 2015-11-24 11:57:35 EST
(In reply to Jon Ciesla from comment #11)
> Next, set up a FAS account and let me know the name, I couldn't find the one
> above.

My FAS name is rickardlindberg. It should be created.
Comment 14 Gwyn Ciesla 2015-11-24 12:05:11 EST
Ok, I see it.  You're now a sponsored member of the packager group.  Use your powers for good.  ;)  Now you can do the pkgdb request, import and build, as well as requesting access to timeline.
Comment 15 Rickard Lindberg 2015-11-24 12:48:14 EST
Thanks. Awaiting review for new package now.
Comment 16 Gwyn Ciesla 2015-11-24 14:46:04 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-humblewx
Comment 17 Fedora Update System 2015-11-24 15:40:44 EST
python-humblewx-0.2.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d51e2a92ee
Comment 18 Fedora Update System 2015-11-24 15:56:52 EST
python-humblewx-0.2.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d89c0c30ae
Comment 19 Rickard Lindberg 2015-11-25 01:27:05 EST
Ok, so I'm thinking the submission to f22 and f23 was maybe not right. I've read the update policy but find it a bit difficult to interpret.

The reason for creating this package was so that the timeline package (https://apps.fedoraproject.org/packages/timeline) could be updated to the latest version. Where do you think the latest timeline package should go? Only rawhide? f23 as well? Even longer back?
Comment 20 Fedora Update System 2015-11-25 21:25:51 EST
python-humblewx-0.2.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-humblewx'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d51e2a92ee
Comment 21 Fedora Update System 2015-11-25 21:54:49 EST
python-humblewx-0.2.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-humblewx'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d89c0c30ae
Comment 22 Fedora Update System 2015-12-07 15:29:51 EST
python-humblewx-0.2.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.